2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2003-03-30  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EARLY_GENERATED_LISP): Revert previous change.

2003-03-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EARLY_GENERATED_LISP): Explicitly set so we don't try
	to build custom-loads, this package doesn't have any.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile (ELCS):
	Delete explicit compile:: and binkit: rules.
	Delete code to error when no Mule (now automatic).

2003-02-20  Ben Wing  <ben@xemacs.org>

	* dumped-lisp.el:
	* dumped-lisp.el (package-lisp):
	Eliminate use of assemble-list, when-feature.  Just use normal
	list-manipulation functions.  Copy code to frob list into shape
	from latest lisp/dumped-list.el.

2002-12-07  Ville Skyttä  <scop@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2001-05-07  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* egg-cwnn-leim.el: chinese-egg-pinyin should call
	egg-pinyin-activate.

	* egg.el: Don't override C-\\ when one of leim feature is present.	

2001-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* egg.el (its:all-completions): Remove too much `if'.

2000-11-08  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (description): Add "MULE" to description.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-10-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg.el (dolist): Removed.
	(for-each*): Removed.
	(for-each): Removed.

1999-08-10  IIJIMA 'Delmonta' Hiromitsu <L94102@mail.ecc.u-tokyo.ac.jp>

	* its-kanainput.el: Fix usage comment.

2000-05-23  Karl M. Hegbloom  <karlheg@debian.org>

	* Makefile: Use BUILD_WITHOUT_MULE rather than BUILD_MULE.

1999-08-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg.el (notify-internal): Specify the first argument of
	`bury-buffer' as the current buffer.

1999-07-30  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg-wnn.el (henkan-mode-map): Rearrange meta prefix keys.
	(henkan-mode-esc-map): Remove keymap.

	* egg-sj3.el (henkan-mode-map): Rearrange meta prefix keys.
	(henkan-mode-esc-map): Remove keymap.

1999-07-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg-sj3-client.el (sj3-put-tanconv): Use `shift_jis' instead of
	`sjis'.
	(sj3-server-bunsetu-henkou): Ditto.
	(sj3-server-henkan-kouho): Ditto.
	(sj3-server-henkan-begin): Ditto.
	(sj3-get-convert-string): Ditto.
	(sj3-put-string*): Ditto.

1999-07-23  Hirokazu FUKUI  <hfukui@sannet.ne.jp>

	* egg.el: (fence-zenkaku): Use `japanese-zenkaku-region' instead of
	`zenkaku-region'.
	(fence-hankaku): Use `japanese-hankaku-region' instead of
	`hankaku-region'.
	(fence-hiragana): Use `japanese-hiragana-region' instead of
	`hiragana-region'.
	(fence-katakana): Use `japanese-katakana-region' instead of
	`katakana-region'.

	(*zenkaku-alist*): Remove variable.

	(zenkaku-word): Use `japanese-zenkaku-region' instead of
	`zenkaku-region'.
	(zenkaku-sentence): Ditto.
	(zenkaku-paragraph): Ditto.
	(zenkaku-region): Remove function.

	(*hankaku-alist*): Remove variable.

	(hankaku-word): Use `japanese-hankaku-region' instead of
	`hankaku-region'.
	(hankaku-sentence): Ditto.
	(hankaku-paragraph): Ditto.
	(hankaku-region): Remove function.

	(katakana-sentence): Use `japanese-katakana-region' instead of
	`katakana-region'.
	(katakana-paragraph): Ditto.
	(katakana-region): Remove function.

	(hiragana-sentence): Use `japanese-hiragana-region' instead of
	`hiragana-region'.
	(hiragana-paragraph): Ditto.
	(hiragana-region): Remove function.

	* egg-keymap.el (global-map): Use `japanese-katakana-region',
	`japanese-hiragana-region', `japanese-zenkaku-region', and
	`japanese-hankaku-region' instead of `katakana-region',
	`hiragana-region', `zenkaku-region' and `hankaku-region' for
	function keys f5 .. f8.

	* egg-jisx0201.el (fence-katakana): Use `japanese-katakana-region'
	instead of `katakana-region'.
	(fence-hiragana): Use `japanese-hiragana-region' instead of
	`hiragana-region'.

1999-07-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg-wnn.el (diced-mode-map): Set the default binding to
	`undefined'.
	* egg-sj3.el (diced-mode-map): Ditto.
	* egg.el (fence-mode-map): Ditto.

1999-07-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg-wnn.el (henkan-mode-map): Don't bother to define each keys
	as `undefined'.
	* egg-sj3.el (henkan-mode-map): Ditto.

	* egg-sj3.el (henkan-quit): Sync up with the last change of
	egg-wnn.el.
	(henkan-region-internal): Ditto.
	(henkan-kakutei): Ditto.

1999-07-11  Masahiro MURATA   <muse@ba2.so-net.ne.jp>

	* egg-wnn.el (henkan-quit): go back to fence mode after the
	henkan-quit.
	(henkan-region-internal): Bug fix: set egg:*region-end* to
	marker.

1999-07-10  Takeshi Yamada   <yamada@cslab.kecl.ntt.co.jp>

	* egg.el (fence-exit-internal): Exit from fence-mode-map before
	delete-region calls are made, otherwise undesirable deadlock can
	happen when delete-region is somehow failed.

	* wnn-egg.el (henkan-kakutei): Exit from hekan-mode-map and
	fence-mode-map before delete-region calls are made, otherwise
	undesirable deadlock can happen when delete-region is somehow
	failed.
	(henkan-kakutei-first-char): Ditto.

1999-07-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg-wnn.el (TopLevel): Set the default binding of
	`henkan-mode-map' and `henkan-mode-esc-map' in the way of XEmacs.
	* egg-sj3.el (TopLevel): Ditto.

1999-07-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg.el (menu:goto-nth-element): Use `event-to-character' insted
	of `event-key' for allowing keys [kp-0] .. [kp-9].
	(minibuffer-local-menu-map): Add definitions for some keys.

1999-06-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg.el (notify-internal): Enclose `bury-buffer' with
	`save-window-excursion' for the use of minibufferless frames.

	* egg-sj3-client.el (sj3-get-result): Bind `focus-follows-mouse' to
	t while waiting for the process output.  It is needed for the use
	of minibufferless frames.
	(sj3-get-stdy): Remove codes for debugging.
	(sj3-get-convert-string): Ditto.
	(sj3-get-string): Ditto.
	(sj3-get-byte): Ditto.
	(sj3-get-4byte): Ditto.

	* egg-wnn.el (set-dict-comment): Ignore non existent dictionaries.
	(egg:toroku-word): Ditto.

1999-06-17  Takeshi Yamada    <yamada@cslab.kecl.ntt.co.jp>
            Masahiro MURATA   <muse@ba2.so-net.ne.jp>
            Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg.el (menu:select-from-menu): menu handling parts are
	completely rewritten by adopting codes originally submitted by
	YAMAMOTO Mitsuharu <mituharu@is.s.u-tokyo.ac.jp> to the mule-jp
	mailing list back in 1995. The menu keymap is no more hard coded!

1999-06-27  Masahiro MURATA   <muse@ba2.so-net.ne.jp>

	* egg.el (notify-internal): Bind `focus-follows-mouse' to t while
	sleeping.  It is needed for the use of minibufferless frames.

1999-06-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg.el (hankaku-region): Use `split-char' instead of `char-octet'.
	(katakana-region): Ditto.
	(hiragana-region): Ditto.
	* egg-sj3-client.el (sj3-put-kata): Ditto.

	* egg-wnn.el (sai-henkan): Ignore `disable-undo'.
	(henkan-region-internal): Ditto.
	(*egg-message-alist*): Put vocabulary entries in brackets.

1999-06-15  Katsumi Yamaoka   <yamaoka@jpl.org>

	* egg-sj3.el (henkan-quit): Bug-fix - fence string remained and
	`buffer-undo-list' become t in henkan-quit after henkan-region.

1999-06-13  Masahiro MURATA <muse@ba2.so-net.ne.jp>

	* egg.el (TopLevel): Make `egg-buffer-modified-flag' buffer-local.
	(suspend-undo): Bug-fix - buffer-modified-p don't go back to
	unmodified when undo. Don't set buffer-undo-list to t.
	(resume-undo-list): Ditto.
	(menu:select-from-menu): Add save-selected-window before
	save-window-excursion. Add "?\ " to menu:select-next-item.
	* egg-wnn.el (henkan-quit): Bug-fix - fence string remained and
	`buffer-undo-list' become t in henkan-quit after henkan-region.
	(sai-henkan): Moved `suspend-undo' after delete-region.

1999-05-18  SL Baur  <steve@gneiss.etl.go.jp>

	* egg-sj3-leim.el (egg-sj3-activate): Autoload.
	(egg-sj3-inactivate): Ditto.

	* egg-cwnn-leim.el (egg-pinyin-activate): Autoload.
	(egg-pinyin-inactivate): Ditto.
	(egg-zhuyin-activate): Ditto.
	(egg-zhuyin-inactivate): Ditto.

	* egg-kwnn-leim.el (egg-kwnn-activate): Autoload.
	(egg-kwnn-inactivate): Ditto.

	* egg-leim.el (egg-activate): Autoload.
	(egg-inactivate): Ditto.

	* Makefile (EXTRA_SOURCES): Remove dumped-lisp.el.

1999-03-05  Katsumi Yamaoka <yamaoka@jpl.org>

	* egg-sj3.el (henkan-region-internal): Use
	`buffer-substring-no-properties' instead of `buffer-substring'.

	* egg.el (its:simulate-input): Use `sref' instead of `aref'.
	(its-defrule**): Ditto.

1999-03-04
	* egg-sj3.el (henkan-region-internal):  Bug fix: henkan-region
	didn't work.

1999-02-28  Masahiro MURATA <muse@ba2.so-net.ne.jp>

	* egg.el (suspend-undo): New function to save the buffer-undo-list
	and bind it to t.
	(enter-fence-mode): Use it.
	(resume-undo-list): New function to restore the saved buffer-undo-list.
	(fence-exit-internal): Use it.
	(egg-buffer-undo-list): New variable for the saved buffer-undo-list.

	* egg-wnn.el (henkan-kakutei-first-char): Use `resume-undo-list'.
	(henkan-kakutei): Ditto.
	(sai-henkan): Use `suspend-undo', `resume-undo-list'.
	(henkan-region-internal): Ditto.

	* egg-sj3.el (henkan-kakutei): Use `resume-undo-list'.
	(henkan-region-internal): Use `suspend-undo'.

1998-10-22  Takeshi YAMADA <yamada@cslab.kecl.ntt.co.jp>

	* egg-sj3.el (henkan-region-internal): Bug fix - wrong logic at
	unwind-protect.

	(TopLevel): Make `egg:henkan-mode-in-use' buffer-local.

1998-10-10  Takeshi YAMADA <yamada@cslab.kecl.ntt.co.jp>

	(TopLevel): Make `egg:henkan-mode-in-use' buffer-local.

1998-10-03  Katsumi Yamaoka <yamaoka@ga.sony.co.jp>

	(fence-post-command-hook): Abolished.
	(egg:quit-egg-mode): Don't use `fence-post-command-hook'.
	(enter-fence-mode): Don't use `fence-post-command-hook'.
	* egg-sj3.el (henkan-mode-map): Use `minor-mode-map-alist' instead
	of a local-map.
	(henkan-quit, henkan-kakutei-before-point): Don't use
	`fence-mode-map' as a local-map.
	(henkan-region-internal): Don't use `henkan-mode-map' as a
	local-map; don't use `egg:*local-map-backup*'.

1998-07-06  SAKAI Kiyotaka <ksakai@netwk.ntt-at.co.jp>

	* egg-wnn.el (henkan-mode-map): Use `minor-mode-map-alist' instead
	of a local-map.
	(henkan-quit): Don't use `fence-mode-map' as a local-map.
	(sai-henkan): Don't use `henkan-mode-map' as a local-map; don't
	use `egg:*local-map-backup*'.
	(henkan-kakutei-before-point): Don't use `fence-mode-map' as a
	local-map.
	(henkan-region-internal): Don't use `henkan-mode-map' as a
	local-map; don't use `egg:*local-map-backup*'.
	(read-current-its-string): Don't bind `minibuffer-exit-hook'.

1998-07-06  Kazu Yamamoto <kazu@iijlab.net>

	* egg.el (fence-mode-map): Use `minor-mode-map-alist' instead of a
	local-map.
	(read-hiragana-string): Don't bind `minibuffer-exit-hook'.
	(egg:quit-egg-mode): Don't use `egg:*local-map-backup*'.
	(enter-fence-mode): Don't use `egg:*local-map-backup*' or
	`fence-mode-map'.
	(egg:*local-map-backup*): Abolished.
	(egg:*global-map-backup*): Abolished.

1999-01-04  YOKOTA Hiroshi <y5t0964@students.chiba-u.ac.jp>

	* egg.el: defvar (not defconst) some user parameters
	`egg:*fence-open*', `egg:*fence-close*', `egg:*fence-face*'

1999-01-04  YOKOTA Hiroshi <y5t0964@students.chiba-u.ac.jp>

	* egg-wnn.el (egg:bunsetu-face-off): Use detach-extent (not
	delete-extent) for reusable extents.

1998-08-11  Kazuyuki IENAGA <ienaga@jsys.co.jp>

	* eggrc-wnn: Change some parameters for wnn-server-set-param.
	* eggrc-wnn: Do not use $USER but wnn-usr-dic-dir.

1998-07-23  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Don't build if XEmacs/no-Mule.

1998-07-18  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el: Elimination of Lisp read-time macros.

1998-06-20	Kazuyuki IENAGA <ienaga@jsys.co.jp>

	* egg-wnn.el: If one want to add some
	word into his dictionary, one can input "yomi" neither in Japanese
	hiragana nor English on the mini buffer prompted.
	From kondo@dse.ibaraki.ac.jp (Hisashi Kondo).

1998-06-29  SL Baur  <steve@altair.xemacs.org>

	* package-info.in: Update provides.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-16  SL Baur  <steve@altair.xemacs.org>

	* Makefile (EXTRA_SOURCES): New variable.

1998-01-11  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-02  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to new package specs.

1997-12-20  SL Baur  <steve@altair.xemacs.org>

	* egg-cwnn-leim.el (chinese-pinyin): Remove its/ prefix.
	(chinese-zhuyin): Ditto.
	* its-kanainput.el: Ditto.

	* egg-busyu.el (busyu-input): Autoload.
	(kakusuu-input): Ditto.

	* egg.el: Removed manual autoloads.

	* Makefile: Created.
